Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.aBase
Interface ABasePackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ABasePackageImpl

    public interface ABasePackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ABaseFactory`

Nested Class Summary
`static interface` | `ABasePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `BOOLEAN` The meta object id for the '`BOOLEAN`' enum.
`static int` | `BOOLEAN_VALUE` The meta object id for the '`Boolean Value`' class.
`static int` | `BOOLEAN_VALUE__VALUE` The feature id for the 'Value' attribute.
`static int` | `BOOLEAN_VALUE_FEATURE_COUNT` The number of structural features of the 'Boolean Value' class.
`static ABasePackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `INT_VALUE` The meta object id for the '`Int Value`' class.
`static int` | `INT_VALUE__VALUE` The feature id for the 'Value' attribute.
`static int` | `INT_VALUE_FEATURE_COUNT` The number of structural features of the 'Int Value' class.
`static int` | `REAL_VALUE` The meta object id for the '`Real Value`' class.
`static int` | `REAL_VALUE__VALUE` The feature id for the 'Value' attribute.
`static int` | `REAL_VALUE_FEATURE_COUNT` The number of structural features of the 'Real Value' class.
`static int` | `STRING_VALUE` The meta object id for the '`String Value`' class.
`static int` | `STRING_VALUE__VALUE` The feature id for the 'Value' attribute.
`static int` | `STRING_VALUE_FEATURE_COUNT` The number of structural features of the 'String Value' class.
`static int` | `VALUE` The meta object id for the '`Value`' class.
`static int` | `VALUE_FEATURE_COUNT` The number of structural features of the 'Value' class.

Method Summary
`ABaseFactory` | `getABaseFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EEnum` | `getBOOLEAN()` Returns the meta object for enum '`BOOLEAN`'.
`org.eclipse.emf.ecore.EAttribute` | `getBooleanValue_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getBooleanValue()` Returns the meta object for class '`Boolean Value`'.
`org.eclipse.emf.ecore.EAttribute` | `getIntValue_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getIntValue()` Returns the meta object for class '`Int Value`'.
`org.eclipse.emf.ecore.EAttribute` | `getRealValue_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getRealValue()` Returns the meta object for class '`Real Value`'.
`org.eclipse.emf.ecore.EAttribute` | `getStringValue_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getStringValue()` Returns the meta object for class '`String Value`'.
`org.eclipse.emf.ecore.EClass` | `getValue()` Returns the meta object for class '`Value`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ABasePackage eINSTANCE

  The singleton instance of the package.

### VALUE

    static final int VALUE

  The meta object id for the '`Value`' class.

  See Also:
    `ValueImpl`, `ABasePackageImpl.getValue()`, Constant Field Values

### VALUE_FEATURE_COUNT

    static final int VALUE_FEATURE_COUNT

  The number of structural features of the 'Value' class.

  See Also:
    Constant Field Values

### INT_VALUE

    static final int INT_VALUE

  The meta object id for the '`Int Value`' class.

  See Also:
    `IntValueImpl`, `ABasePackageImpl.getIntValue()`, Constant Field Values

### INT_VALUE__VALUE

    static final int INT_VALUE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### INT_VALUE_FEATURE_COUNT

    static final int INT_VALUE_FEATURE_COUNT

  The number of structural features of the 'Int Value' class.

  See Also:
    Constant Field Values

### REAL_VALUE

    static final int REAL_VALUE

  The meta object id for the '`Real Value`' class.

  See Also:
    `RealValueImpl`, `ABasePackageImpl.getRealValue()`, Constant Field Values

### REAL_VALUE__VALUE

    static final int REAL_VALUE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### REAL_VALUE_FEATURE_COUNT

    static final int REAL_VALUE_FEATURE_COUNT

  The number of structural features of the 'Real Value' class.

  See Also:
    Constant Field Values

### STRING_VALUE

    static final int STRING_VALUE

  The meta object id for the '`String Value`' class.

  See Also:
    `StringValueImpl`, `ABasePackageImpl.getStringValue()`, Constant Field Values

### STRING_VALUE__VALUE

    static final int STRING_VALUE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### STRING_VALUE_FEATURE_COUNT

    static final int STRING_VALUE_FEATURE_COUNT

  The number of structural features of the 'String Value' class.

  See Also:
    Constant Field Values

### BOOLEAN_VALUE

    static final int BOOLEAN_VALUE

  The meta object id for the '`Boolean Value`' class.

  See Also:
    `BooleanValueImpl`, `ABasePackageImpl.getBooleanValue()`, Constant Field Values

### BOOLEAN_VALUE__VALUE

    static final int BOOLEAN_VALUE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_VALUE_FEATURE_COUNT

    static final int BOOLEAN_VALUE_FEATURE_COUNT

  The number of structural features of the 'Boolean Value' class.

  See Also:
    Constant Field Values

### BOOLEAN

    static final int BOOLEAN

  The meta object id for the '`BOOLEAN`' enum.

  See Also:
    `BOOLEAN`, `ABasePackageImpl.getBOOLEAN()`, Constant Field Values

Method Detail

### getValue

    org.eclipse.emf.ecore.EClass getValue()

  Returns the meta object for class '`Value`'.

  Returns:
    the meta object for class 'Value'.
  See Also:
    `Value`

### getIntValue

    org.eclipse.emf.ecore.EClass getIntValue()

  Returns the meta object for class '`Int Value`'.

  Returns:
    the meta object for class 'Int Value'.
  See Also:
    `IntValue`

### getIntValue_Value

    org.eclipse.emf.ecore.EAttribute getIntValue_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `IntValue.getValue()`, `getIntValue()`

### getRealValue

    org.eclipse.emf.ecore.EClass getRealValue()

  Returns the meta object for class '`Real Value`'.

  Returns:
    the meta object for class 'Real Value'.
  See Also:
    `RealValue`

### getRealValue_Value

    org.eclipse.emf.ecore.EAttribute getRealValue_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `RealValue.getValue()`, `getRealValue()`

### getStringValue

    org.eclipse.emf.ecore.EClass getStringValue()

  Returns the meta object for class '`String Value`'.

  Returns:
    the meta object for class 'String Value'.
  See Also:
    `StringValue`

### getStringValue_Value

    org.eclipse.emf.ecore.EAttribute getStringValue_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `StringValue.getValue()`, `getStringValue()`

### getBooleanValue

    org.eclipse.emf.ecore.EClass getBooleanValue()

  Returns the meta object for class '`Boolean Value`'.

  Returns:
    the meta object for class 'Boolean Value'.
  See Also:
    `BooleanValue`

### getBooleanValue_Value

    org.eclipse.emf.ecore.EAttribute getBooleanValue_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `BooleanValue.getValue()`, `getBooleanValue()`

### getBOOLEAN

    org.eclipse.emf.ecore.EEnum getBOOLEAN()

  Returns the meta object for enum '`BOOLEAN`'.

  Returns:
    the meta object for enum 'BOOLEAN'.
  See Also:
    `BOOLEAN`

### getABaseFactory

    ABaseFactory getABaseFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD